using System.Collections;
using System.Collections.Generic;

namespace RowsAsColumns
{
    public class ProxyEnumerable : IEnumerable
    {
        private readonly List<object> items = new List<object>();

        public ProxyEnumerable( IEnumerable source )
        {
            foreach ( object item in source )
            {
                items.Add( item );
            }
        }

        public IEnumerator GetEnumerator()
        {
            foreach ( object item in items )
            {
                yield return item;
            }
        }
    }
}